Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 30/12/2022, à 13:34

15mai2016

Que faut-t-il écrire dans php.ini ?

Bonjour,

j'utilise Focal Fosset et je veux me servir de PHPMyAdmin pour la première fois après être passé de PHP7.4 à PHP8.2. Le Localhost ne fonctionne plus.

Cette page ne fonctionne pas
Impossible de traiter cette demande via localhost à l'heure actuelle.
HTTP ERROR 500

D'après le log de Apache2

[Thu Dec 29 23:21:29.218015 2022] [mpm_prefork:notice] [pid 41181] AH00171: Graceful restart requested, doing restart
[Thu Dec 29 23:21:29.284932 2022] [alias:warn] [pid 41181] AH00671: The Alias directive in /etc/phpmyadmin/apache.conf at line 3 will probably never match because it overlaps an earlier Alias.
AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1. Set the 'ServerName' directive globally to suppress this message
[Thu Dec 29 23:21:29.299035 2022] [mpm_prefork:notice] [pid 41181] AH00163: Apache/2.4.41 (Ubuntu) mod_fcgid/2.3.9 configured -- resuming normal operations
[Thu Dec 29 23:21:29.299055 2022] [core:notice] [pid 41181] AH00094: Command line: '/usr/sbin/apache2'
[Thu Dec 29 23:21:39.921349 2022] [php:warn] [pid 41410] [client ::1:39536] PHP Warning:  require_once(PhpMyAdmin/MoTranslator/autoload.php): Failed to open stream: No such file or directory in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:21:39.921423 2022] [php:error] [pid 41410] [client ::1:39536] PHP Fatal error:  Uncaught Error: Failed opening required 'PhpMyAdmin/MoTranslator/autoload.php' (include_path='.') in /usr/share/phpmyadmin/autoload.php:2\nStack trace:\n#0 /usr/share/phpmyadmin/libraries/common.inc.php(91): require_once()\n#1 /usr/share/phpmyadmin/index.php(27): require_once('...')\n#2 {main}\n  thrown in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:25:16.269281 2022] [php:warn] [pid 41411] [client ::1:52388] PHP Warning:  require_once(PhpMyAdmin/MoTranslator/autoload.php): Failed to open stream: No such file or directory in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:25:16.269390 2022] [php:error] [pid 41411] [client ::1:52388] PHP Fatal error:  Uncaught Error: Failed opening required 'PhpMyAdmin/MoTranslator/autoload.php' (include_path='.') in /usr/share/phpmyadmin/autoload.php:2\nStack trace:\n#0 /usr/share/phpmyadmin/libraries/common.inc.php(91): require_once()\n#1 /usr/share/phpmyadmin/index.php(27): require_once('...')\n#2 {main}\n  thrown in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:30:20.179162 2022] [php:warn] [pid 41482] [client ::1:51882] PHP Warning:  require_once(PhpMyAdmin/MoTranslator/autoload.php): Failed to open stream: No such file or directory in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:30:20.179526 2022] [php:error] [pid 41482] [client ::1:51882] PHP Fatal error:  Uncaught Error: Failed opening required 'PhpMyAdmin/MoTranslator/autoload.php' (include_path='.') in /usr/share/phpmyadmin/autoload.php:2\nStack trace:\n#0 /usr/share/phpmyadmin/libraries/common.inc.php(91): require_once()\n#1 /usr/share/phpmyadmin/index.php(27): require_once('...')\n#2 {main}\n  thrown in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:31:24.854814 2022] [php:warn] [pid 41411] [client ::1:58742] PHP Warning:  require_once(PhpMyAdmin/MoTranslator/autoload.php): Failed to open stream: No such file or directory in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:31:24.854894 2022] [php:error] [pid 41411] [client ::1:58742] PHP Fatal error:  Uncaught Error: Failed opening required 'PhpMyAdmin/MoTranslator/autoload.php' (include_path='.') in /usr/share/phpmyadmin/autoload.php:2\nStack trace:\n#0 /usr/share/phpmyadmin/libraries/common.inc.php(91): require_once()\n#1 /usr/share/phpmyadmin/index.php(27): require_once('...')\n#2 {main}\n  thrown in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:31:55.363472 2022] [mpm_prefork:notice] [pid 41181] AH00169: caught SIGTERM, shutting down
[Thu Dec 29 23:31:55.513765 2022] [mpm_prefork:notice] [pid 42347] AH00163: Apache/2.4.41 (Ubuntu) mod_fcgid/2.3.9 configured -- resuming normal operations
[Thu Dec 29 23:31:55.513811 2022] [core:notice] [pid 42347] AH00094: Command line: '/usr/sbin/apache2'
[Thu Dec 29 23:33:45.657778 2022] [mpm_prefork:notice] [pid 42347] AH00169: caught SIGTERM, shutting down
[Thu Dec 29 23:33:45.790163 2022] [mpm_prefork:notice] [pid 42455] AH00163: Apache/2.4.41 (Ubuntu) mod_fcgid/2.3.9 configured -- resuming normal operations
[Thu Dec 29 23:33:45.790189 2022] [core:notice] [pid 42455] AH00094: Command line: '/usr/sbin/apache2'
[Thu Dec 29 23:33:51.002951 2022] [php:warn] [pid 42457] [client ::1:60706] PHP Warning:  require_once(PhpMyAdmin/MoTranslator/autoload.php): Failed to open stream: No such file or directory in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:33:51.003030 2022] [php:error] [pid 42457] [client ::1:60706] PHP Fatal error:  Uncaught Error: Failed opening required 'PhpMyAdmin/MoTranslator/autoload.php' (include_path='.') in /usr/share/phpmyadmin/autoload.php:2\nStack trace:\n#0 /usr/share/phpmyadmin/libraries/common.inc.php(91): require_once()\n#1 /usr/share/phpmyadmin/index.php(27): require_once('...')\n#2 {main}\n  thrown in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:37:46.472831 2022] [mpm_prefork:notice] [pid 42455] AH00169: caught SIGTERM, shutting down
[Thu Dec 29 23:37:46.608398 2022] [mpm_prefork:notice] [pid 42558] AH00163: Apache/2.4.41 (Ubuntu) mod_fcgid/2.3.9 configured -- resuming normal operations
[Thu Dec 29 23:37:46.608452 2022] [core:notice] [pid 42558] AH00094: Command line: '/usr/sbin/apache2'
[Thu Dec 29 23:50:28.185057 2022] [php:warn] [pid 42560] [client ::1:46900] PHP Warning:  require_once(PhpMyAdmin/MoTranslator/autoload.php): Failed to open stream: No such file or directory in /usr/share/phpmyadmin/autoload.php on line 2
[Thu Dec 29 23:50:28.185144 2022] [php:error] [pid 42560] [client ::1:46900] PHP Fatal error:  Uncaught Error: Failed opening required 'PhpMyAdmin/MoTranslator/autoload.php' (include_path='.') in /usr/share/phpmyadmin/autoload.php:2\nStack trace:\n#0 /usr/share/phpmyadmin/libraries/common.inc.php(91): require_once()\n#1 /usr/share/phpmyadmin/index.php(27): require_once('...')\n#2 {main}\n  thrown in /usr/share/phpmyadmin/autoload.php on line 2

Je comprends qu'il faut indiquer le chemin à suivre et pour cela modifier le module php.ini, mais j'ai un doute : sachant que le module autoload.php est dans /usr/share/php/PhpMyAdmin/MoTranslator/ et que les 739 et 740 dans php.ini sont pour l'instant

; UNIX: "/path1:/path2"
;include_path = ".:/usr/share/php"

, que dois-je écrire exactement ?

Hors ligne

#2 Le 30/12/2022, à 14:50

bruno

Re : Que faut-t-il écrire dans php.ini ?

Bonjour,

Il ne faut pas modifier cette directive dans un fichier php.ini mais dans le fichier de configuration Apache de phpmyadmin : /etc/phpmyadmin/apache.conf. Il y a d'ailleurs un avertissement sur ce fichier. Il faut donc vérifier ta configuration.
Maintenant tu cherches les ennuis puisque visiblement tu as utilisé le dépôts ppa:ondrej pour avoir PHP 8.2 (cf. les nombreux fils là dessus)

#3 Le 30/12/2022, à 15:47

15mai2016

Re : Que faut-t-il écrire dans php.ini ?

@Bruno
C'est précisément parce que je sais que j'ai fait une ******** que je cherche à la réparer, mais cette fois-ci pose une question avant de commettre l'irréparable. L'idée d'écrire à l'intérieur de php.ini m'est venue à la lecture d'un thread sur Stack Overflow, mais concernant une vieille version.
Selon, quelle est la meilleure chose à faire maintenant ?

Hors ligne

#4 Le 30/12/2022, à 17:40

bruno

Re : Que faut-t-il écrire dans php.ini ?

J'ai indiqué ce qu'il fallait faire.

bruno a écrit :

Il ne faut pas modifier cette directive dans un fichier php.ini mais dans le fichier de configuration Apache de phpmyadmin : /etc/phpmyadmin/apache.conf

Sans garantir que cela soit suffisant car phpmyadmin (paquet officiel Ubuntu) est peut-être incompatible avec PHP 8.2 (paquets issus du dépôt ondrej).  Dans ce cas, tu cherches dans les autres fils du forum comment virer ce dépôt avec ppa-purge ou bien tu refais une installation propre sans utiliser de dépôts exotiques.

#5 Le 31/12/2022, à 02:32

15mai2016

Re : Que faut-t-il écrire dans php.ini ?

Qu'étais-je censé écrire exactement ?

Voici l'état présent de /etc/phpmyadmin/apache.conf (je suis revenu en arrière et ai supprimé mes modification)

# phpMyAdmin default Apache configuration

Alias /phpmyadmin /usr/share/phpmyadmin

<Directory /usr/share/phpmyadmin>
    Options SymLinksIfOwnerMatch
    DirectoryIndex index.php

    # limit libapache2-mod-php to files and directories necessary by pma
    <IfModule mod_php7.c>
        php_admin_value upload_tmp_dir /var/lib/phpmyadmin/tmp
        php_admin_value open_basedir /usr/share/phpmyadmin/:/etc/phpmyadmin/:/var/lib/phpmyadmin/:/usr/share/php/php-gettext/:/usr/share/php/php-php-gettext/:/usr/share/javascript/:/usr/share/php/tcpdf/:/usr/share/doc/phpmyadmin/:/usr/share/php/phpseclib/:/usr/share/php/PhpMyAdmin/:/usr/share/php/Symfony/:/usr/share/php/Twig/:/usr/share/php/Twig-Extensions/:/usr/share/php/ReCaptcha/:/usr/share/php/Psr/Container/:/usr/share/php/Psr/Cache/:/usr/share/php/Psr/Log/:/usr/share/php/Psr/SimpleCache/
    </IfModule>

</Directory>

# Disallow web access to directories that don't need it
<Directory /usr/share/phpmyadmin/templates>
    Require all denied
</Directory>
<Directory /usr/share/phpmyadmin/libraries>
    Require all denied
</Directory>

Dans /etc/apache2/apache2.conf j'ai mis un dièse devant la dernière ligne conformément à la recommandation de https://medium.com/enekochan/solve-the- … e96e1c0d2a

Hors ligne

#6 Le 31/12/2022, à 10:24

FrancisFDZ

Re : Que faut-t-il écrire dans php.ini ?

Bonjour,
De la façon dont l'affaire se présente et afin d'y voir plus clair, il me semble qu'une désinstallation complète suivie d'une réinstallation propre est sérieusement à envisager


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#7 Le 31/12/2022, à 10:27

xubu1957

Re : Que faut-t-il écrire dans php.ini ?

Bonjour,

Montre le sources.list avec la numérotation :

find /etc/apt -type f \( -name '*.list*' -o -name '*.sources' \) -exec bash -c 'echo -e "\n\t$1\n"; [ "${1##*.}" = "list" -o "${1##*.}" = "sources" ] && cat -n "$1"' _ '{}' \;

et d'éventuels paquets cassés :

dpkg -l | grep -v ^ii

Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

Hors ligne

#8 Le 31/12/2022, à 11:02

bruno

Re : Que faut-t-il écrire dans php.ini ?

15mai2016 a écrit :

Dans /etc/apache2/apache2.conf j'ai mis un dièse devant la dernière ligne conformément à la recommandation de https://medium.com/enekochan/solve-the- … e96e1c0d2a

Mauvaise recommandation. Cela ne résout pas le problème évoqué(*) et t’empêche d'avoir la configuration correcte pour phpmyadmin.

(*) pour cela il faut examiner les Alias dans les fichiers de configuration actifs sous /etc/apache2 et supprimer d'une manière ou d'une autre celui qui fait doublon.

#9 Le 31/12/2022, à 11:48

15mai2016

Re : Que faut-t-il écrire dans php.ini ?

@xubu1957
Voici ce que donne

find /etc/apt -type f \( -name '*.list*' -o -name '*.sources' \) -exec bash -c 'echo -e "\n\t$1\n"; [ "${1##*.}" = "list" -o "${1##*.}" = "sources" ] && cat -n "$1"' _ '{}' \;
/etc/apt/sources.list

     1	# deb cdrom:[Ubuntu 20.04.3 LTS _Focal Fossa_ - Release amd64 (20220105)]/ focal main restricted
     2	
     3	# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     4	# newer versions of the distribution.
     5	deb http://fr.archive.ubuntu.com/ubuntu/ focal main restricted
     6	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal main restricted
     7	
     8	## Major bug fix updates produced after the final release of the
     9	## distribution.
    10	deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted
    11	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted
    12	
    13	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    14	## team. Also, please note that software in universe WILL NOT receive any
    15	## review or updates from the Ubuntu security team.
    16	deb http://fr.archive.ubuntu.com/ubuntu/ focal universe
    17	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal universe
    18	deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe
    19	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe
    20	
    21	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
    22	## team, and may not be under a free licence. Please satisfy yourself as to 
    23	## your rights to use the software. Also, please note that software in 
    24	## multiverse WILL NOT receive any review or updates from the Ubuntu
    25	## security team.
    26	deb http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
    27	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
    28	deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse
    29	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse
    30	
    31	## N.B. software from this repository may not have been tested as
    32	## extensively as that contained in the main release, although it includes
    33	## newer versions of some applications which may provide useful features.
    34	## Also, please note that software in backports WILL NOT receive any review
    35	## or updates from the Ubuntu security team.
    36	deb http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
    37	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
    38	
    39	## Uncomment the following two lines to add software from Canonical's
    40	## 'partner' repository.
    41	## This software is not part of Ubuntu, but is offered by Canonical and the
    42	## respective vendors as a service to Ubuntu users.
    43	# deb http://archive.canonical.com/ubuntu focal partner
    44	# deb-src http://archive.canonical.com/ubuntu focal partner
    45	
    46	deb http://security.ubuntu.com/ubuntu focal-security main restricted
    47	# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
    48	deb http://security.ubuntu.com/ubuntu focal-security universe
    49	# deb-src http://security.ubuntu.com/ubuntu focal-security universe
    50	deb http://security.ubuntu.com/ubuntu focal-security multiverse
    51	# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse
    52	
    53	# This system was installed using small removable media
    54	# (e.g. netinst, live or single CD). The matching "deb cdrom"
    55	# entries were disabled at the end of the installation process.
    56	# For information about how to configure apt package sources,
    57	# see the sources.list(5) manual.
    58	# deb https://dl.winehq.org/wine-builds/ubuntu/ focal main
    59	# deb-src https://dl.winehq.org/wine-builds/ubuntu/ focal main

	/etc/apt/sources.list.save


	/etc/apt/sources.list.d/vscode.list.save


	/etc/apt/sources.list.d/proposed.list.save


	/etc/apt/sources.list.d/ondrej-ubuntu-php-focal.list.save


	/etc/apt/sources.list.d/symfony-cli.list.save


	/etc/apt/sources.list.d/google-chrome.list.save


	/etc/apt/sources.list.d/megasync.list.save


	/etc/apt/sources.list.d/proposed.list

     1	deb http://archive.ubuntu.com/ubuntu/ focal-proposed main restricted

	/etc/apt/sources.list.d/google-chrome.list

     1	### THIS FILE IS AUTOMATICALLY CONFIGURED ###
     2	# You may comment out this entry, but any other modifications may be lost.
     3	deb [arch=amd64] https://dl.google.com/linux/chrome/deb/ stable main

	/etc/apt/sources.list.d/vscode.list

     1	### THIS FILE IS AUTOMATICALLY CONFIGURED ###
     2	# You may comment out this entry, but any other modifications may be lost.
     3	deb [arch=amd64,arm64,armhf] http://packages.microsoft.com/repos/code stable main

	/etc/apt/sources.list.d/ubuntu-esm-apps.list.save


	/etc/apt/sources.list.d/ondrej-ubuntu-php-focal.list

     1	deb http://ppa.launchpad.net/ondrej/php/ubuntu focal main
     2	# deb-src http://ppa.launchpad.net/ondrej/php/ubuntu focal main

	/etc/apt/sources.list.d/protonvpn-stable.list

     1	#
     2	# ProtonVPN stable release
     3	#
     4	deb [arch="all", signed-by=/usr/share/keyrings/protonvpn-stable-archive-keyring.gpg] https://repo.protonvpn.com/debian stable main
	/etc/apt/sources.list.d/ubuntu-esm-apps.list

     1	# Written by ubuntu-advantage-tools
     2	deb https://esm.ubuntu.com/apps/ubuntu focal-apps-security main
     3	# deb-src https://esm.ubuntu.com/apps/ubuntu focal-apps-security main
     4	
     5	deb https://esm.ubuntu.com/apps/ubuntu focal-apps-updates main
     6	# deb-src https://esm.ubuntu.com/apps/ubuntu focal-apps-updates main

	/etc/apt/sources.list.d/megasync.list

     1	deb [signed-by=/usr/share/keyrings/meganz-archive-keyring.gpg] https://mega.nz/linux/repo/xUbuntu_20.04/ ./

	/etc/apt/sources.list.d/symfony-cli.list

     1	deb [trusted=yes] https://repo.symfony.com/apt/ /

	/etc/apt/sources.list.d/protonvpn-stable.list.save

et ce que donne

dpkg -l | grep -v ^ii
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                                        Version                                                              Architecture Description
+++-==========================================-====================================================================-============-======================================================================================================
rc  acl                                        2.2.53-6                                                             amd64        access control list - utilities
rc  apg                                        2.2.3.dfsg.1-5                                                       amd64        Automated Password Generator - Standalone version
rc  catdoc                                     1:0.95-4.1                                                           amd64        text extractor for MS-Office files
rc  colord                                     1.4.4-2                                                              amd64        system service to manage device colour profiles -- system daemon
rc  hplip                                      3.20.3+dfsg0-2                                                       amd64        HP Linux Printing and Imaging System (HPLIP)
rc  kio                                        5.68.0-0ubuntu1                                                      amd64        resource and network access abstraction
rc  libapache2-mod-php7.4                      1:7.4.32-1+ubuntu20.04.1+deb.sury.org+2                              amd64        server-side, HTML-embedded scripting language (Apache 2 module)
rc  libkf5akonadicontact-data                  4:19.12.3-0ubuntu1                                                   all          akonadi-contacts - data files
rc  libkf5archive5:amd64                       5.68.0-0ubuntu1                                                      amd64        Qt 5 addon providing access to numerous types of archives
rc  libkf5attica5:amd64                        5.68.0-0ubuntu1                                                      amd64        Qt library that implements the Open Collaboration Services API
rc  libkf5calendarcore5abi2:amd64              5:5.68.0-0ubuntu1                                                    amd64        calendar access framework
rc  libkf5contacts-data                        5:5.68.0-0ubuntu1                                                    all          data files for kcontacts
rc  libkf5filemetadata-data                    5.68.0-0ubuntu1                                                      all          library for extracting file metadata
rc  libkf5globalaccel-data                     5.68.0-0ubuntu1                                                      all          Configurable global shortcut support.
rc  libkf5iconthemes-data                      5.68.0-0ubuntu1                                                      all          Support for icon themes.
rc  libkf5itemmodels5:amd64                    5.68.0-0ubuntu1                                                      amd64        additional item/view models for Qt Itemview
rc  libkf5jobwidgets-data                      5.68.0-0ubuntu1                                                      all          Widgets for tracking KJob instances
rc  libkf5prison5:amd64                        5.68.0-0ubuntu1                                                      amd64        barcode API for Qt
rc  libkf5solid5-data                          5.68.0-0ubuntu1                                                      all          Qt library to query and control hardware
rc  libkf5sonnet5-data                         5.68.0-0ubuntu1                                                      all          spell checking library for Qt, data files
rc  libkf5xmlgui-data                          5.68.0-0ubuntu2                                                      all          User configurable main windows.
rc  libmecab2:amd64                            0.996-10build1                                                       amd64        Libraries of Mecab
rc  libsane-common                             1.0.29-0ubuntu5.2                                                    all          API library for scanners -- documentation and support files
rc  libsane-hpaio:amd64                        3.20.3+dfsg0-2                                                       amd64        HP SANE backend for multi-function peripherals
rc  libsnmp-base                               5.8+dfsg-2ubuntu2.3                                                  all          SNMP configuration script, MIBs and documentation
rc  libspnav0                                  0.2.3-1                                                              amd64        Library to access 3D-input-devices (development files)
rc  linux-image-5.11.0-44-generic              5.11.0-44.48~20.04.2                                                 amd64        Signed kernel image generic
rc  linux-image-5.13.0-25-generic              5.13.0-25.26~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-image-5.13.0-27-generic              5.13.0-27.29~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-image-5.13.0-28-generic              5.13.0-28.31~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-image-5.13.0-32-generic              5.13.0-32.35~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-image-5.13.0-41-generic              5.13.0-41.46~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-image-5.13.0-44-generic              5.13.0-44.49~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-image-5.15.0-41-generic              5.15.0-41.44~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-image-5.15.0-46-generic              5.15.0-46.49~20.04.2                                                 amd64        Signed kernel image generic
rc  linux-image-5.15.0-48-generic              5.15.0-48.54~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-image-5.15.0-52-generic              5.15.0-52.58~20.04.1                                                 amd64        Signed kernel image generic
rc  linux-modules-5.11.0-44-generic            5.11.0-44.48~20.04.2                                                 amd64        Linux kernel extra modules for version 5.11.0 on 64 bit x86 SMP
rc  linux-modules-5.13.0-25-generic            5.13.0-25.26~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-5.13.0-27-generic            5.13.0-27.29~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-5.13.0-28-generic            5.13.0-28.31~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-5.13.0-32-generic            5.13.0-32.35~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-5.13.0-41-generic            5.13.0-41.46~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-5.13.0-44-generic            5.13.0-44.49~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-5.15.0-41-generic            5.15.0-41.44~20.04.1                                                 amd64        Linux kernel extra modules for version 5.15.0 on 64 bit x86 SMP
rc  linux-modules-5.15.0-46-generic            5.15.0-46.49~20.04.2                                                 amd64        Linux kernel extra modules for version 5.15.0 on 64 bit x86 SMP
rc  linux-modules-5.15.0-48-generic            5.15.0-48.54~20.04.1                                                 amd64        Linux kernel extra modules for version 5.15.0 on 64 bit x86 SMP
rc  linux-modules-5.15.0-52-generic            5.15.0-52.58~20.04.1                                                 amd64        Linux kernel extra modules for version 5.15.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.11.0-44-generic      5.11.0-44.48~20.04.2                                                 amd64        Linux kernel extra modules for version 5.11.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.13.0-25-generic      5.13.0-25.26~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.13.0-27-generic      5.13.0-27.29~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.13.0-28-generic      5.13.0-28.31~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.13.0-32-generic      5.13.0-32.35~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.13.0-41-generic      5.13.0-41.46~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.13.0-44-generic      5.13.0-44.49~20.04.1                                                 amd64        Linux kernel extra modules for version 5.13.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.15.0-41-generic      5.15.0-41.44~20.04.1                                                 amd64        Linux kernel extra modules for version 5.15.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.15.0-46-generic      5.15.0-46.49~20.04.2                                                 amd64        Linux kernel extra modules for version 5.15.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.15.0-48-generic      5.15.0-48.54~20.04.1                                                 amd64        Linux kernel extra modules for version 5.15.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.15.0-52-generic      5.15.0-52.58~20.04.1                                                 amd64        Linux kernel extra modules for version 5.15.0 on 64 bit x86 SMP
rc  network-manager-gnome                      1.8.24-1ubuntu3                                                      amd64        network management framework (GNOME frontend)
rc  odbcinst                                   2.3.6-0.1build1                                                      amd64        Helper program for accessing odbc ini files
rc  phonon4qt5:amd64                           4:4.11.1-3build1                                                     amd64        multimedia framework from KDE using Qt 5 - metapackage
rc  php7.4-cli                                 1:7.4.32-1+ubuntu20.04.1+deb.sury.org+2                              amd64        command-line interpreter for the PHP scripting language
rc  php7.4-common                              1:7.4.32-1+ubuntu20.04.1+deb.sury.org+2                              amd64        documentation, examples and common module for PHP
rc  php7.4-json                                1:7.4.32-1+ubuntu20.04.1+deb.sury.org+2                              amd64        JSON module for PHP
rc  php7.4-opcache                             1:7.4.32-1+ubuntu20.04.1+deb.sury.org+2                              amd64        Zend OpCache module for PHP
rc  php7.4-readline                            1:7.4.32-1+ubuntu20.04.1+deb.sury.org+2                              amd64        readline module for PHP
rc  php8.1-bz2                                 8.1.11-1+ubuntu20.04.1+deb.sury.org+2                                amd64        bzip2 module for PHP
rc  php8.1-fpm                                 8.1.11-1+ubuntu20.04.1+deb.sury.org+2                                amd64        server-side, HTML-embedded scripting language (FPM-CGI binary)
rc  php8.1-gd                                  8.1.11-1+ubuntu20.04.1+deb.sury.org+2                                amd64        GD module for PHP
rc  php8.1-memcache                            8.0+4.0.5.2+3.0.9~20170802.e702b5f9+-7+ubuntu20.04.1+deb.sury.org+10 amd64        memcache extension module for PHP
rc  php8.1-oauth                               2.0.7+1.2.3-14+ubuntu20.04.1+deb.sury.org+10                         amd64        OAuth 1.0 consumer and provider extension
rc  php8.1-yaml                                2.2.2+2.1.0+2.0.4+1.3.2-5+ubuntu20.04.1+deb.sury.org+10              amd64        YAML-1.1 parser and emitter for PHP
rc  php8.1-zip                                 8.1.11-1+ubuntu20.04.1+deb.sury.org+2                                amd64        Zip module for PHP
rc  rygel                                      0.38.3-1ubuntu1                                                      amd64        GNOME UPnP/DLNA services
rc  sane-utils                                 1.0.29-0ubuntu5.2                                                    amd64        API library for scanners -- utilities

@Bruno
Je suis d'accord : c'était pour expliquer.

Hors ligne

#10 Le 31/12/2022, à 11:59

xubu1957

Re : Que faut-t-il écrire dans php.ini ?

Bonjour,

Pour purger les résidus de configuration marqués "rc" :

sudo apt purge ~c

comme expliqué à la machine à café et rajouté à la fin de ce message.

Vu :

     1	deb http://archive.ubuntu.com/ubuntu/ focal-proposed main restricted

la Doc : depots#proposed

§ 2.3 a écrit :

Proposed
Les dépôts "proposed" contiennent des paquets proposés à fins de tests seulement ! Ils servent à tester des paquets ou des mises à jour avant qu'ils n'intègrent définitivement les dépôts principaux. Ils peuvent donc être à l'origine de plantage et de corruption de système ! N'ajoutez ces dépôts que si vous savez ce que vous faites !
Ces dépôts correspondent à la case à cocher "Mises à jour en préversion (proposed)" → onglet "Mises à jour" de l'application Logiciels & Mises à jour.

Un exemple de décrassage (avec du bionic) > Pb avec le développement d'un site en local, pour le ppa ondrej.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

Hors ligne

#11 Le 31/12/2022, à 12:38

iznobe

Re : Que faut-t-il écrire dans php.ini ?

Bonjour , les depots "proposed " + " ondrej " ensemble , une mise a niveau minimum a eu lieu par dessus en + vu qu ' il y a des ".save "... aie aie aie , pour remettre ca d ' aplomb .
perso je pense que reinstaller proprement  pour partir du bon pied , et ne plus mettre de depots pour tout et n ' importequoi , serait un bon debut .

vu au #9 :

	etc/apt/sources.list.d/proposed.list.save


	/etc/apt/sources.list.d/ondrej-ubuntu-php-focal.list.save

Dernière modification par iznobe (Le 31/12/2022, à 12:40)


retour COMPLET et utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM .

Hors ligne

#12 Le 31/12/2022, à 22:25

15mai2016

Re : Que faut-t-il écrire dans php.ini ?

@tous
Merci de vos conseils.
J'ai peut-être une explication. Dans le dossier etc/apache2, il y a
- un dossier conf-available avec entre autres 1 fichier phpmyadmin.conf,
- un dossier conf-enabled avec entre autres 1 fichier phpmyadmin.conf (ce n'est pas le même : le premier a 24 lignes, le second 57),
- un dossier mods-available avec entre autres 1 fichier php8.1.conf, 1 fichier php8.1.load, 1 fichier php8.2.conf, 1 fichier php8.2.load,
- un dossier mods-enabled avec entre autres 1 fichier php8.1.conf, 1 fichier php8.1.load mais PAS de fichier pour php8.2,
- un dossier sites-available, un dossier sites-enabled, un fichier apache2.conf, un fichier envvars, un fichier magic et un fichier ports.conf.
Je pense que l'absence de fichier pour php8.2 dans le dossier mods.enabled pourrait expliquer mon problème.

Apache2.conf contient dans sa dernière ligne un lien vers etc/phpmyadmin/apache.conf dont voici le texte

# phpMyAdmin default Apache configuration

Alias /phpmyadmin /usr/share/phpmyadmin

<Directory /usr/share/phpmyadmin>
    Options SymLinksIfOwnerMatch
    DirectoryIndex index.php

    # limit libapache2-mod-php to files and directories necessary by pma
    <IfModule mod_php7.c>
        php_admin_value upload_tmp_dir /var/lib/phpmyadmin/tmp
        php_admin_value open_basedir /usr/share/phpmyadmin/:/etc/phpmyadmin/:/var/lib/phpmyadmin/:/usr/share/php/php-gettext/:/usr/share/php/php-php-gettext/:/usr/share/javascript/:/usr/share/php/tcpdf/:/usr/share/doc/phpmyadmin/:/usr/share/php/phpseclib/:/usr/share/php/PhpMyAdmin/:/usr/share/php/Symfony/:/usr/share/php/Twig/:/usr/share/php/Twig-Extensions/:/usr/share/php/ReCaptcha/:/usr/share/php/Psr/Container/:/usr/share/php/Psr/Cache/:/usr/share/php/Psr/Log/:/usr/share/php/Psr/SimpleCache/
    </IfModule>

</Directory>

# Disallow web access to directories that don't need it
<Directory /usr/share/phpmyadmin/templates>
    Require all denied
</Directory>
<Directory /usr/share/phpmyadmin/libraries>
    Require all denied
</Directory>

Voici le texte de phpmyadmin.conf dans /etc/phpmyadmin/conf-available (au passage, quelqu'un peut-il m'expliquer la différence entre /usr/share/php/php-gettext/ et /usr/share/php/php-php-gettext/ ?)

# phpMyAdmin default Apache configuration

Alias /phpmyadmin /usr/share/phpmyadmin

<Directory /usr/share/phpmyadmin>
    Options SymLinksIfOwnerMatch
    DirectoryIndex index.php

    # limit libapache2-mod-php to files and directories necessary by pma
    <IfModule mod_php7.c>
        php_admin_value upload_tmp_dir /var/lib/phpmyadmin/tmp
        php_admin_value open_basedir /usr/share/phpmyadmin/:/etc/phpmyadmin/:/var/lib/phpmyadmin/:/usr/share/php/php-gettext/:/usr/share/php/php-php-gettext/:/usr/share/javascript/:/usr/share/php/tcpdf/:/usr/share/doc/phpmyadmin/:/usr/share/php/phpseclib/:/usr/share/php/PhpMyAdmin/:/usr/share/php/Symfony/:/usr/share/php/Twig/:/usr/share/php/Twig-Extensions/:/usr/share/php/ReCaptcha/:/usr/share/php/Psr/Container/:/usr/share/php/Psr/Cache/:/usr/share/php/Psr/Log/:/usr/share/php/Psr/SimpleCache/
    </IfModule>

</Directory>

# Disallow web access to directories that don't need it
<Directory /usr/share/phpmyadmin/templates>
    Require all denied
</Directory>
<Directory /usr/share/phpmyadmin/libraries>
    Require all denied
</Directory>

Voici le texte de phpmyadmin.conf dans /etc/apache2/conf-enabled

Alias /phpmyadmin /usr/share/phpmyadmin

<Directory /usr/share/phpmyadmin>
    Options SymLinksIfOwnerMatch
    DirectoryIndex index.php

    <IfModule mod_php5.c>
        <IfModule mod_mime.c>
            AddType application/x-httpd-php .php
        </IfModule>
        <FilesMatch ".+\.php$">
            SetHandler application/x-httpd-php
        </FilesMatch>

        php_value include_path .
        php_admin_value upload_tmp_dir /var/lib/phpmyadmin/tmp
        php_admin_value open_basedir /usr/share/phpmyadmin/:/etc/phpmyadmin/:/var/lib/phpmyadmin/:/usr/share/php/php-gettext/:/usr/share/php/php-php-gettext/:/usr/share/javascript/:/usr/share/php/tcpdf/:/usr/share/doc/phpmyadmin/:/usr/share/php/phpseclib/
        php_admin_value mbstring.func_overload 0
    </IfModule>
    <IfModule mod_php.c>
        <IfModule mod_mime.c>
            AddType application/x-httpd-php .php
        </IfModule>
        <FilesMatch ".+\.php$">
            SetHandler application/x-httpd-php
        </FilesMatch>

        php_value include_path .
        php_admin_value upload_tmp_dir /var/lib/phpmyadmin/tmp
        php_admin_value open_basedir /usr/share/phpmyadmin/:/etc/phpmyadmin/:/var/lib/phpmyadmin/:/usr/share/php/php-gettext/:/usr/share/php/php-php-gettext/:/usr/share/javascript/:/usr/share/php/tcpdf/:/usr/share/doc/phpmyadmin/:/usr/share/php/phpseclib/
        php_admin_value mbstring.func_overload 0
    </IfModule>

</Directory>

# Authorize for setup
<Directory /usr/share/phpmyadmin/setup>
    <IfModule mod_authz_core.c>
        <IfModule mod_authn_file.c>
            AuthType Basic
            AuthName "phpMyAdmin Setup"
            AuthUserFile /etc/phpmyadmin/htpasswd.setup
        </IfModule>
        Require valid-user
    </IfModule>
</Directory>

# Disallow web access to directories that don't need it
<Directory /usr/share/phpmyadmin/templates>
    Require all denied
</Directory>
<Directory /usr/share/phpmyadmin/libraries>
    Require all denied
</Directory>
<Directory /usr/share/phpmyadmin/setup/lib>
    Require all denied
</Directory>

Merci d'avance

Hors ligne

#13 Le 02/01/2023, à 12:19

bruno

Re : Que faut-t-il écrire dans php.ini ?

- un dossier conf-available avec entre autres 1 fichier phpmyadmin.conf,
- un dossier conf-enabled avec entre autres 1 fichier phpmyadmin.conf (ce n'est pas le même : le premier a 24 lignes, le second 57),

Ce n'est pas normal car conf-enabled ne doit contenir que des liens symboliques vers conf-available. Ces liens sont créés et supprimés par a2enconf et a2disconf, respectivement.

Et c'est analogue pour mods-available / mods-enabled avec les commandes a2enmod / a2dismod.
Ainsi que pour sites-avalilabel / sites-enabled avec les commandes a2ensite / a2dissite

Le fichier apache2.conf ne doit en principe pas être modifié (supprimer le include /etc/phpmyadmin/apache.conf ou revenir à le version d'origine qui a du être sauvegardée).

Lire la doc apache2.

#14 Le 04/01/2023, à 15:29

15mai2016

Re : Que faut-t-il écrire dans php.ini ?

J'ai demandé

apt list php\* | grep install

j'obtiens

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

php-bz2/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé, automatique]
php-curl/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé]
php-gd/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé]
php-google-recaptcha/focal,focal,now 1.2.3-1 all  [installé, automatique]
php-intl/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé]
php-json/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé]
php-mbstring/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé]
php-mysql/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé, automatique]
php-phpmyadmin-motranslator/focal,focal,now 5.0.0-1 all  [installé, automatique]
php-phpmyadmin-shapefile/focal,focal,now 2.1-3 all  [installé, automatique]
php-phpmyadmin-sql-parser/focal,focal,now 4.6.1-2 all  [installé, automatique]
php-phpseclib/focal,focal,now 2.0.23-2 all  [installé, automatique]
php-psr-cache/focal,focal,now 1.0.1-2 all  [installé, automatique]
php-psr-container/focal,focal,now 1.0.0-2 all  [installé, automatique]
php-psr-log/focal,focal,now 1.1.2-1 all  [installé, automatique]
php-symfony-cache-contracts/focal,focal,now 1.1.8-1 all  [installé, automatique]
php-symfony-cache/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-symfony-expression-language/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-symfony-service-contracts/focal,focal,now 1.1.8-1 all  [installé, automatique]
php-symfony-var-exporter/focal,focal,now 4.3.8+dfsg-1ubuntu1 all  [installé, automatique]
php-tcpdf/focal,focal,now 6.3.5+dfsg1-1 all  [installé, automatique]
php-twig-extensions/focal,focal,now 1.5.4-1 all  [installé, automatique]
php-twig/focal,focal,now 2.12.5-1 all  [installé, automatique]
php-xml/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé]
php-zip/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé]
php7.1-common/focal,now 7.1.33-50+ubuntu20.04.1+deb.sury.org+2 amd64  [installé, automatique]
php7.1-mcrypt/focal,now 7.1.33-50+ubuntu20.04.1+deb.sury.org+2 amd64  [installé, automatique]
php8.2-bz2/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-cli/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-common/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-curl/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-gd/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-intl/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-mbstring/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-mysql/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-opcache/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-readline/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-xml/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2-zip/focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 amd64  [installé, automatique]
php8.2/focal,focal,now 8.2.0-3+ubuntu20.04.1+deb.sury.org+1 all  [installé, automatique]
php/focal,focal,now 2:8.2+93+ubuntu20.04.1+deb.sury.org+2 all  [installé]
phpmyadmin/focal,focal,now 4:4.9.5+dfsg1-2 all  [installé]

Quelqu'un-un accepterait-il de m'indiquer quels sont les fichiers précis qui ne vont pas ?

Hors ligne

#15 Le 04/01/2023, à 16:08

15mai2016

Re : Que faut-t-il écrire dans php.ini ?

Note : la situation a évolué depuis le post #12 : le dossier /etc/apache2/mods-enabled contient désormais 1 fichier php8.2.conf et 1 fichier php8.2.load mais plus de fichier pour php8.1
Malheureusement PHPMyAdmin ne marche toujours pas bien que le serveur Apache2 marche (la commande systemctl status apache2 me dit que tout est ok).

Dernière modification par 15mai2016 (Le 04/01/2023, à 16:09)

Hors ligne

#16 Le 04/01/2023, à 16:44

15mai2016

Re : Que faut-t-il écrire dans php.ini ?

J'ai effectué la purge comme proposé : je suis maintenant... retourné à PHP7.4.

administrateur@pc-linuxshop-37625:~$ php -v
PHP 7.4.3 (cli) (built: Nov  2 2022 09:53:44) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with Zend OPcache v7.4.3, Copyright (c), by Zend Technologies
    with Xdebug v2.9.2, Copyright (c) 2002-2020, by Derick Rethans

Je souhaite que quelqu'un m'explique quelle doit être la bonne configuration sachant que c'est dans le but de créer des bases de données et de les appeler sur un site développé en utilisant Symfony 6.2 et que je me servais de PHP8.1 ou 8.2 (pas de PHP7.4 suite à une mise à jour).

Edit : PHPMyAdmin marche et à ma première vue j'ai retrouvé mes bases de données. C'est le principal à mes yeux. Cependant, je souhaite savoir quel dépôt vous me conseillez si dans l'avenir je faisais une mise à jour.

Dernière modification par 15mai2016 (Le 04/01/2023, à 16:56)

Hors ligne

#17 Le 04/01/2023, à 17:19

bruno

Re : Que faut-t-il écrire dans php.ini ?

Si tu as besoin de PHP8.1 il faut migrer vers Ubuntu 22.04 ou suivre les conseils de la doc php qui propose d'utiliser docker ou sur une machine de développement phpbrew.